#include "testApp.h"
#include <sys/time.h>


#define UPDATE_INTERVAL  1.0f

char fpsString[32];

double tCurrentTime(void)
{
    struct timeval time;

    gettimeofday(&time, NULL);
    return (double)time.tv_sec + (0.000001 * (double)time.tv_usec);
}

//--------------------------------------------------------------
void testApp::setup(){	 
	
	vidGrabber.setVerbose(true);
	vidGrabber.listDevices();
	vidGrabber.initGrabber(320,240);
	//vidGrabber.initGrabber(640,480);	
	
	videoInverted 	= new unsigned char[320*240*3];
	videoTexture.allocate(320,240, GL_RGB);
	//videoInverted 	= new unsigned char[640*480*3];
	//videoTexture.allocate(640,480, GL_RGB);	
	
}


//--------------------------------------------------------------
void testApp::update(){
	ofBackground(100,100,100);
	
	vidGrabber.grabFrame();
	
	if (vidGrabber.isFrameNew()){
		//int totalPixels = 640*480*3;
		int totalPixels = 320*240*3;
		unsigned char * pixels = vidGrabber.getPixels();
		for (int i = 0; i < totalPixels; i++){
			videoInverted[i] = 255 - pixels[i];
		}
		videoTexture.loadData(videoInverted, 320,240, GL_RGB);
	}
}

//--------------------------------------------------------------
void testApp::draw(){
    double           currTime, deltaFPSTime, frameRate;
    static long      frameCount = 0;
    static double    lastFPSUpdate = 0.0;

    currTime = tCurrentTime();
    frameCount++;
    deltaFPSTime = currTime - lastFPSUpdate;
    if (deltaFPSTime >= UPDATE_INTERVAL)
    {
        frameRate = (double)frameCount / deltaFPSTime;
        sprintf(fpsString, "FPS: %0.1f", frameRate);
        lastFPSUpdate = currTime;
        frameCount = 0;
        printf("%s\n",fpsString);
    }
    
	ofSetColor(0xffffff);
	vidGrabber.draw(20,20);
	//videoTexture.draw(680,20,640,480);
	videoTexture.draw(360,20,320,240);
	
}


//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	
	// in fullscreen mode, on a pc at least, the 
	// first time video settings the come up
	// they come up *under* the fullscreen window
	// use alt-tab to navigate to the settings
	// window. we are working on a fix for this...
	
	if (key == 's' || key == 'S'){
		vidGrabber.videoSettings();
	}
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(){

}
