#ifndef _V4L_UTILS
#define _V4L_UTILS

#include "ofConstants.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <sys/stat.h>
#include <sys/mman.h>
#include <sys/types.h>
#include <time.h>
//#include <asm/types.h>          /* for videodev2.h */
#include <linux/videodev.h>

#define HAVE_V4L	1

	/* V4L structures */
	static struct video_capability capability;
	static struct video_window     window;
	static struct video_picture    imageProperties; 
	static struct video_mbuf       mbuf;
	static struct video_mmap       vmmap;

	static int 					deviceHandle;    
	static int 					frameIndex;    
	static bool					bFirstFrame;
	static unsigned char 			*bigbuf;	
	static unsigned char 		*pixels;

	/* V4L functions */
	bool openV4L_device(const char *device_name);
	void initialiseV4L_device(const char *device_name);
	bool initV4L(int width, int height,const char *devname);
	bool queryV4L_imageProperties(void);
	bool setV4L_palette(int palette, int depth);
	bool setV4L_imageProperties(void);
	bool setV4L_videoSize(int width, int height);
	bool getFrameV4L(unsigned char ** pixels);
	void closeV4L(void);
	bool mmapV4L(void);
	int getV4L_Height();
	int getV4L_Width();
	
#endif

