#ifndef _OF_VIDEO_PLAYER
#define _OF_VIDEO_PLAYER

#include "ofConstants.h"
#include "ofUtils.h"
//#include "ofQtUtils.h"
#include "ofTexture.h"
#include "Decoder.h" 


using namespace omnividea::fobs;

#include <iostream>
using namespace std;

//-------------------------------------------------
//	(notes, links, etc)
//
// 	intersting technique employed here to get to RGB24
// 	from YUV2 - worthwhile?  
// 	paste.lisp.org/display/1051
//-----------------------------

#define OF_QT_LOOP_NONE					0x01
#define OF_QT_LOOP_PALINDROME			0x02
#define OF_QT_LOOP_NORMAL				0x03

//---------------------------------------------
// this struct has all the info we need to play 1 movie
// kept in a struct, because the callback will 
// need to reference it... 
typedef struct {
	Decoder				* d;
	unsigned char * 	offscreenGWorldPixels;	// 32 bit: argb (qt k32ARGBPixelFormat)	
	unsigned char * 	pixels;					// 24 bit: rgb
	int					w;
	int 				h;
	bool 				bHavePixelsChanged;
	ofTexture 			* tex;					// a ptr to the texture we are utilizing
	bool 				bUseTexture;			// are we using a texture
	int					istartTime;
	int					iframeTime;
	int					iTotalFrames;
	bool				bPause;
	int					ilooping;
	bool				bDir;
	
} videoPlayerData;
//---------------------------------------------

class ofVideoPlayer{
	
	public:
							ofVideoPlayer ();
				
		void 				closeMovie();
		bool 				loadMovie(char * name);
		void 				idleMovie();				
		
		int 				width, height;
		float  				speed;
		bool 				bLoadedMovie;	
		
		bool 				isFrameNew();
		unsigned char * 	getPixels();
		float 				getPosition();
		float 				getSpeed();
		float 				getDuration();	
		
		void 				setPosition(float pct);
		void 				setVolume(int volume); // AUDIO NOT YET IMPLEMENTED!
		void 				setLoopState(int state);
		void   				setSpeed(float speed);
		
		void 				setUseTexture(bool bUse);
		void 				draw(float x, float y, float w, float h);	
		void 				draw(float x, float y);	
		
		void 				setPaused(bool bPause);
		
	private:
		//---------------------------
		videoPlayerData		* vpd;
		ofTexture 			tex;
		bool				bUseTexture;	
					
}; 
#endif

